---
title: SVGRectElement
slug: Web/API/SVGRectElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>SVGRectElement</code> interface provides access to the properties of {{SVGElement("rect")}} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, </em><em>{{domxref("SVGGeometryElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGRectElement.x")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x")}} attribute of the given {{SVGElement("rect")}} element.</dd>
 <dt>{{domxref("SVGRectElement.y")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("y")}} attribute of the given {{SVGElement("rect")}} element.</dd>
 <dt>{{domxref("SVGRectElement.width")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("width")}} attribute of the given {{SVGElement("rect")}} element.</dd>
 <dt>{{domxref("SVGRectElement.height")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("height")}} attribute of the given {{SVGElement("rect")}} element.</dd>
 <dt>{{domxref("SVGRectElement.rx")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("rx")}} attribute of the given {{SVGElement("rect")}} element.</dd>
 <dt>{{domxref("SVGRectElement.ry")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("ry")}} attribute of the given {{SVGElement("rect")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, <em>but inherits methods from its parent, {{domxref("SVGGeometryElement")}}.</em></em></p>

<h2 id="Example">Example</h2>

<p>Here is a simple usage of rect interface. (Changing the color of the rect interface on every click)</p>

<h3 id="SVG_content">SVG content</h3>

<pre class="brush: html">&lt;svg xmlns="http://www.w3.org/2000/svg" version="1.1"&gt;
  &lt;rect width="300" height="100" id="myrect" onclick="doRectClick()"
      style="fill:rgb(0,0,255);stroke-width:1;stroke:rgb(0,0,0)" /&gt;
  &lt;text x="60" y="40" fill="white" font-size="40"
      onclick="doRectClick();"&gt;Click Me&lt;/text&gt;
&lt;/svg&gt;
</pre>

<h3 id="JavaScript_content">JavaScript content</h3>

<pre class="brush: js">function doRectClick(){
  var myrect = document.getElementById('myrect');
  var r = Math.floor(Math.random() * 255);
  var g = Math.floor(Math.random() * 255);
  var b = Math.floor(Math.random() * 255);
  myrect.style.fill = 'rgb(' + r + ', ' + g + ' , ' + b + ')';
}
</pre>

<p><em>Click the rect.</em></p>

<p>{{EmbedLiveSample('Example', '', '', '', 'Web/API/SVGRectElement')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#InterfaceSVGRectElement", "SVGRectElement")}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Replaced the inheritance from {{domxref("SVGElement")}}{{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}} by {{domxref("SVGGeometryElement")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#InterfaceSVGRectElement", "SVGRectElement")}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGRectElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("rect")}}</li>
</ul>
